Vehicle Variant
Indicates Vehicle Variant
Path Parameters
Specifies the lookup category. This API accepts only 'vehicle' as the value.
Type of vehicle (e.g., TW, Car)
Make Code of Vehicle
Model code of Vehicle
Vehicle Fuel type
Vehicle Variant
- 200
- 400
- 500
Successful Response
Schema
- Array [
- ]
Unique request identifier.
List of errors if any.
data object
vehicleKey object[]
List of unique vehicle keys corresponding to the selected variant.
Unique identifier assigned to the vehicle.
{
"reqId": "dc1864f3-7986-45e8-9c54-83bcf0bbb4c0",
"errors": [],
"data": {
"vehicleKey": [
{
"vehicleKey": "30968"
}
]
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}